---

- hosts: all
  become: yes
  
  vars_files:
    - ../vars/main.yml

  vars:
    import_source_db_name: remote_test
    import_source_db_user: root
    import_source_db_pass: root
    mysql_app_user: root
    mysql_app_password: root

  roles:
    - ansible-php-dev-pre-tasks
    - robertdebock.buildtools
    - geerlingguy.mailhog
    - geerlingguy.apache
    - geerlingguy.php-versions
    - geerlingguy.php
    - geerlingguy.mysql
    - geerlingguy.composer
    - geerlingguy.ruby
    - geerlingguy.nodejs
    - ansible-mysql-db-io

  tasks:
    - import_role: 
        name: ../../ansible-php-dev

    - name: Copy post import sql
      copy:
        src: files/01-test.sql
        dest: /var/www/db/post-import/

    - name: Create sample DB
      mysql_db:
        name: "{{ mysql_app_dbname }}"
        state: present
        login_user: "{{ mysql_app_user }}"
        login_password: "{{ mysql_app_password }}"

    - name: Check if sample DB is empty
      shell: "mysql -u{{ mysql_app_user }} -p{{ mysql_app_password }} {{ mysql_app_dbname }} -e 'show tables;'"
      changed_when: false
      register: isDbNotEmpty

    - name: Copy DB sample file
      copy:
        src: files/original-sample.sql
        dest: /tmp
      when: isDbNotEmpty.stdout == ""

    - name: Import mysql sample database
      mysql_db:
        name: "{{ mysql_app_dbname }}"
        state: import
        target: /tmp/original-sample.sql
        login_user: "{{ mysql_app_user }}"
        login_password: "{{ mysql_app_password }}"
      when: isDbNotEmpty.stdout == ""

    - name: Create remote sample DB
      mysql_db:
        name: "{{ import_source_db_name }}"
        state: present
        login_user: "{{ import_source_db_user }}"
        login_password: "{{ import_source_db_pass }}"

    - name: Check if remote sample DB is empty
      shell: "mysql -u{{ import_source_db_user }} -p{{ import_source_db_pass }} {{ import_source_db_name }} -e 'show tables;'"
      changed_when: false
      register: isRemoteDbNotEmpty

    - name: Copy remote DB sample file
      copy:
        src: files/remote-sample.sql
        dest: /tmp
      when: isRemoteDbNotEmpty.stdout == ""

    - name: Import remote mysql sample database
      mysql_db:
        name: "{{ import_source_db_name }}"
        state: import
        target: /tmp/remote-sample.sql
        login_user: "{{ import_source_db_user }}"
        login_password: "{{ import_source_db_pass }}"
      when: isRemoteDbNotEmpty.stdout == ""

    - name: Delete index.html
      file:
        path: /var/www/html/index.html
        state: absent

    - name: Copy test index.php
      template:
        src: templates/index.php.j2
        dest: /var/www/html/index.php